#!/scratchbox/tools/bin/bash
#
# Copyright (c) 2010 Movial
# Author: Jussi Hakala <jussi.hakala@movial.com>
#
# Licensed under GPL, see COPYING for details.
#
# Simple wrapper script for preferring the target's ldd over
# sbox's one. Will display additional info when called with --version or
# --help.

LDD_TGT=
LDD_SBOX=/scratchbox/tools/bin/ldd-sb

for i in /bin /usr/bin /usr/local/bin /sbin /usr/sbin /usr/local/sbin ; do
	LDD_TRY="${i}/ldd"
	if [ -x "$LDD_TRY" ] ; then
		LDD_TGT="$LDD_TRY"
		break
	fi
done

LDD_USE="$LDD_SBOX"
if [ "z$LDD_TGT" != 'z' ] ; then
	LDD_USE="$LDD_TGT"
fi

SBOX_REDIRECT_IGNORE="$LDD_USE" "$LDD_USE" "$@"

if [ "z$1" = 'z--version' ] || [ "z$1" = 'z--help' ] ; then
	echo ---
	echo ldd chosen by scratchbox
	echo using "'$LDD_USE'"
fi
